import QtQuick 2.2
import QtQuick.Layouts 1.3
import QtQuick.Controls 2.3
import QtQuick.Dialogs 1.3

Item {
    TextField {
      id: fuzzy
      width: parent.width
      anchors.top: parent.top
      z: 2
      onTextChanged: {
        otpListModel.fuzzyChanged(fuzzy.text)
      }
    }

    ListView {
        id: otpList
        anchors.top: fuzzy.bottom
        anchors.topMargin: 8
        anchors.bottom: parent.bottom
        width: parent.width
        height: parent.height
        z: 1

        Component {
            id: otpDelegate
            Rectangle {
                id: rect
                width: parent.parent.width
                height: 50
                radius: 4
                antialiasing: true
                border {
                    width: 2
                    color: "grey"
                }
                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        display.getOTPCode()
                    }
                }

                RowLayout {
                    anchors.verticalCenter: parent.verticalCenter
                    anchors.left: parent.left
                    anchors.leftMargin: 20
                    anchors.right: parent.right
                    anchors.rightMargin: 20
                    Text {
                        id: otpName
                        text: display.name
                    }
                }
            }
        }
        model: otpListModel
        delegate: otpDelegate
    }
}